dofile( "data/scripts/perks/perk.lua" )
dofile( "data/scripts/perks/perk_list.lua" )
dofile_once("data/scripts/lib/utilities.lua")

local nxml = dofile_once("mods/WandOfMachine/lib/nxml.lua")
local xml = nxml.parse(ModTextFileGetContent("data/entities/animals/boss_robot/boss_robot.xml"))
xml:add_child(nxml.parse([[
	<LuaComponent
		script_death="mods/WandOfMachine/data/scripts/mech_death_drop.lua"
		>
	</LuaComponent>
]]))
ModTextFileSetContent("data/entities/animals/boss_robot/boss_robot.xml", tostring(xml))

function OnModPreInit()
    print("Mod - OnModPreInit()")
end

function OnModInit()
    print("Mod - OnModInit()")
end

function OnModPostInit()
    print("Mod - OnModPostInit()")
end


function OnPlayerSpawned(player_entity)

    if tonumber(StatsGetValue("playtime")) > 1 then
		return
	end

	local x,y = EntityGetTransform( player_entity )
	SetRandomSeed( x + 344, y - 523 )

    EntityLoad("mods/WandOfMachine/data/entities/items/wandofmachine.xml", x, y - 20)
end